org.codehaus.plexus.component.factory

## Class UndefinedComponentFactoryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.codehaus.plexus.component.factory.UndefinedComponentFactoryException

All Implemented Interfaces:
  Serializable

    public class UndefinedComponentFactoryException
    extends Exception

Version:
  $Id: UndefinedComponentFactoryException.java 1323 2004-12-20 23:00:59Z jvanzyl $
Author:
  Jason van Zyl
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UndefinedComponentFactoryException(String message)`
`UndefinedComponentFactoryException(String message, Throwable cause)`
`UndefinedComponentFactoryException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UndefinedComponentFactoryException

    public UndefinedComponentFactoryException(String message)

#### UndefinedComponentFactoryException

    public UndefinedComponentFactoryException(String message,
                                      Throwable cause)

#### UndefinedComponentFactoryException

    public UndefinedComponentFactoryException(Throwable cause)